# Run no code evals

{% hint style="info" %}
**You are looking at the old Evidently documentation**. Check the newer version [here](https://docs.evidentlyai.com/introduction).
{% endhint %}

The platform supports several evaluations directly from the user interface.

| Name                   | Type       | Description                                                   |
| ---------------------- | ---------- | ------------------------------------------------------------- |
| Text Evals             | Report     | Analyze text data, from regular expressions to LLM judges.    |
| Data Quality           | Report     | Get descriptive statistics and distributions for all columns. |
| Classification Quality | Report     | Evaluate the quality of a classification model.               |
| Regression Quality     | Report     | Evaluate the quality of a regression model.                   |
| Data Quality Tests     | Test Suite | Automatically check for missing values, duplicates, etc.      |

Before you start, pick a dataset to evaluate. For example, this could be a CSV file containing inputs and outputs of your AI system, like chatbot logs.

## 1. Create a Project

On the main page of Evidently Platform, click “Create new Project.” Give your Project a title and description to help organize your evaluations.

{% hint style="info" %}
**What is a Project?** It's a way to organize your evals and datasets together. Check the [Project](https://docs-old.evidentlyai.com/user-guide/projects/add_project) docs.
{% endhint %}

## 2. Start an evaluation

Inside the Project, go to the “Evaluate” menu item on the left. Let's start!

![](https://256125905-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FeE67gM4508ESQxkbpOxj%2Fuploads%2Fgit-blob-4b7fd94d222153ec790c437fd73ff4d22c98a152%2Fnocode_start_eval-min.png?alt=media)

**(Optional) Add Open AI key.** Add a token in the “Secrets” menu section if you plan to use an LLM for evaluations. You can proceed without it, using other types of evals.

## 3. Pass the Dataset

There are two options:

* **Upload a CSV**. Drag and drop your Dataset.
* **Use an existing Dataset**. Select a Dataset you previously uploaded to the platform or one collected through [Tracing](https://docs-old.evidentlyai.com/user-guide/tracing/tracing_overview).

Your dataset can have any structure, but certain evaluations require specific columns:

* **Text evaluations**: make sure there’s at least one text column.
* **Regression and classification**: include columns with predictions and ground truth.
* **Data quality**: any dataset with categorical, numerical or text columns.

{% hint style="info" %}
**What are Datasets?** Learn how to manage and upload [Datasets](https://docs-old.evidentlyai.com/user-guide/datasets/datasets_overview) to the platform.
{% endhint %}

## 4. Column Mapping

Map your data schema. You don't have to fill in all the options: choose what applies. For example, for text evals, point to the columns containing text.

![](https://256125905-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FeE67gM4508ESQxkbpOxj%2Fuploads%2Fgit-blob-0140c01cb4df98cde091dc441d3c797111e0a714%2Fnocode_column_mapping-min.png?alt=media)

If you have a timestamp, map it as a "DateTime." You will get additional plots with score changes in time.

{% hint style="info" %}
**What is Column mapping?** Understand how to map your dataset schema in the [Column Mapping](https://docs-old.evidentlyai.com/user-guide/input-data/column-mapping) docs section.
{% endhint %}

## 5. Configure the evaluation

Some evaluations (Classification, Regression, and Data Quality) run as is. Once you passed the data, hit "Run" to get your Report.

{% hint style="info" %}
**What is the Raw Data option?** It keeps raw data points in plots like error time series. This is relevant for small datasets: generally leave it off.
{% endhint %}

Text Evals require a bit more setup. You must choose which column to evaluate and how. You can choose from the following methods:

* **Model-based**: use built-in machine learning models, like sentiment analysis.
* **Regular expressions**: check for specific words or patterns.
* **Text stats**: measure stats like the number of symbols or sentences.
* **LLM-based**: use external LLMs to evaluate your text data.

Select specific checks one by one:

![](https://256125905-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FeE67gM4508ESQxkbpOxj%2Fuploads%2Fgit-blob-3b5197321281b9528fd3d583d858d1dc0012e780%2Fnocode_choose_evals-min.png?alt=media)

Each evaluation result is called a **Descriptor**. No matter the method, you’ll get a label or score for every evaluated text. Some, like “Sentiment,” work instantly, while others may need setup.

{% hint style="info" %}
**What other evaluators are there?** Check the list of Descriptors on the [All Metrics](https://docs-old.evidentlyai.com/reference/all-metrics) page.
{% endhint %}

Here are few examples of Descriptors and how to configure them:

### Words presence

**Include Words**. This Descriptor checks for listed words and returns "True" or "False."

Set up these parameters:

* Add a list of words.
* Choose whether to check for “any” or “all” of the words present.
* Set the **lemmatize** parameter to check for inflected and variant words automatically.
* Give your check a name so you can easily find it in your results.

Example setup:![](https://256125905-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FeE67gM4508ESQxkbpOxj%2Fuploads%2Fgit-blob-33db81282f0082a631fbc36a41778d8e9cdc095b%2Fnocode_includes_words-min.png?alt=media)

### Semantic Similarity

**Semantic Similarity**. This descriptor converts texts to embeddings and calculates Cosine Similarity between your evaluated column and another column. It scores from 0 to 1 (0: completely different, 0.5: unrelated, 1: identical). It's useful for checking if responses are semantically similar to a question or reference.

Select the column to compare against: ![](https://256125905-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FeE67gM4508ESQxkbpOxj%2Fuploads%2Fgit-blob-3a9309a6e9dc7262b96ad056583e18116a541300%2Fnocode_semantic_similarity-min.png?alt=media)

### LLM as a judge

**Custom LLM evaluator**. If you've added your token, use LLM-based evals (built-in or custom) to send your texts to LLMs for grading or scoring. You can choose a specific LLM model from the provider.

For example, you can create a custom evaluator to classify texts as “cheerful” or “neutral.” Fill in the parameters, and Evidently will generate the evaluation prompt:

![](https://256125905-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FeE67gM4508ESQxkbpOxj%2Fuploads%2Fgit-blob-2d65c9a488964a96b9a4e5724d683547e5d35af9%2Fnocode_llm_judge-min.png?alt=media)

For a binary classification template, you can configure:

* **Criteria**: define custom criteria in free text to clarify the classification task.
* **Target/Non-target Category**: labels you want to use.
* **Uncertain Category**: how the model should respond when it can’t decide.
* **Reasoning**: choose to include explanation (Recommended).
* **Category** and/or **Score**: have the LLM respond with the category (Recommended) or score.
* **Visualize as**: when both Category and Score are computed, choose which to display in the Report.

{% hint style="info" %}
**What other evaluators are there?** Check the list of Descriptors on the [All Metrics](https://docs-old.evidentlyai.com/reference/all-metrics) page.
{% endhint %}

To add evaluations for another column in the same Report, click “Add Preset,” select “Text Evals,” and follow the same steps for the new column. You can include evals for multiple columns at once.

## 6. Run the evaluation

Before generating the Report, you can add a Tag to identify or reference the Report later. It's optional.

Click “Run”, and the calculation will start! It may take some time to process, especially on a large dataset.

## 7. View the results

Once your evaluation is complete, you can view the results. You can either

* view the Dataset with the added scores, or
* use the **Explore** view to see the Dataset with a summary Report (recommended).

If you have many Metrics, the Explore page will initially show the long Report. Use the selector at the top to focus on a specific Metric.

Here’s what the Explore page might look like with the results from the Cheerfulness evaluator for the “Answer” column:

![](https://256125905-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FeE67gM4508ESQxkbpOxj%2Fuploads%2Fgit-blob-2acc277ccfbb8d716920107b1bf4427abb9120bc%2Fnocode_judge_result-min.png?alt=media)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-old.evidentlyai.com/user-guide/evaluations/no_code_evals.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
